#include <bits/stdc++.h>
using namespace std;
int a[100005];
int main()
{
    int n,m;
    long long t=0;
    cin>>n>>m;
    for(int i=0;i<n;i++)
    {
        int k;
        cin>>k;
        a[i]=k;
    }
    for(int i=0;i<m;i++)
    {
        int k1,k2;
        cin>>k1>>k2;
        t+=abs(a[k1-1]+a[k2-1]);
    }
    cout<<t;
    return 0;
}